Banners

Get banner details

Use this method to obtain detailed information about a specific banner.

GET
/api/v2/my/banners/{bannerId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

bannerId*integer

The banner identifier.

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/banners/1" \  -H "accept-language: ja"
{  "id": 1,  "backgroundLinkLight": "https://example.com/image_light.png",  "backgroundLinkDark": "https://example.com/image_dark.png",  "buttonLight": "https://example.com/main-room/",  "buttonDark": "https://example.com/main-room/",  "buttonLink": "https://example.com",  "captionLight": "<b>Key Features</b>",  "captionDark": "<b>Key Features</b>",  "data": {    "vertical_align": "middle",    "horizontal_align": "left",    "padding": "0.1",    "image_url_light": "https://example.com/banner_light.png",    "image_url_dark": "https://example.com/banner_dark.png",    "preview_enabled": true  },  "enabled": true,  "mobileText": "Mobile Text",  "mobileTitle": "Mobile Title",  "mobileSubTitle": "Mobile Subtitle",  "mobileButtonTitle": "Mobile Button Caption",  "priority": 1,  "textLight": "Text Light",  "textDark": "Text Dark",  "type": "desktop",  "url": "https://example.com/dashboard",  "resources": [    "string"  ],  "createdAt": "2022-01-01T00:00:00+00:00",  "createdBy": "username@example.com"}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}